<template>
  <div id="users">
    <coscine-headline :headline="$t('userManagement')"></coscine-headline>
    <UserManagement :parentId="this.projectId" />
  </div>
</template>

<script lang="ts">
import Vue from "vue";
import UserManagement from "./components/UserManagement.vue";
import { GuidUtil } from "@coscine/app-util";
import { CoscineHeadline } from "@coscine/component-library";
import "@coscine/component-library/dist/index.css";

export default Vue.extend({
  name: "users",
  data() {
    return {
      projectId: "",
    };
  },
  created() {
    this.projectId = GuidUtil.getProjectId();
  },
  components: {
    UserManagement,
    CoscineHeadline,
  },
});
</script>

<style>
#users {
  font-family: "Avenir", Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}
</style>
